# gfs_chdir

## Name

gfs_chdir -- change working directory

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_chdir``(const char * `gfarm_url`);`

## DESCRIPTION

`gfs_chdir()` changes the current working directory to that specified by `gfarm_url`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

`GFARM_ERR_AUTHENTICATION`

  User authentication failed when connecting to gfmd(8).

`GFARM_ERR_PERMISSION_DENIED`

  `gfarm_url` points outside your accessible address space.

`GFARM_ERR_NO_SUCH_OBJECT`

  Directory does not exist.

`GFARM_ERR_NOT_A_DIRECTORY`

  A component of the path prefix is not a directory.

Others

  An error except the above occurred. The reason is shown by its pointed strings.